import { About, TrailerContainer } from '@zebrainy/react-components'
import React from 'react'
import { StateContext } from '../App'

export const AboutScreen: React.FC = () =>
{
	const ctx = React.useContext(StateContext)

	const [showTrailer, setShowTrailer] = React.useState(false)

	const closeTrailer = () => setShowTrailer(false)

	return (
		<>
			{showTrailer ?
				<TrailerContainer
					onClose={closeTrailer}
					onEnd={closeTrailer}
					onError={closeTrailer}
					videoSrc={'https://471631.selcdn.ru/web-bundles/web-bundles/bundles/catalog/branches/add-promo-video/latest/videos/trailer_2021_small_v1.mp4'}
				/>
				: <About
					onBurgerClick={() => ctx.main.messages.set_sidebar_open()}
					onTrailerClick={() => setShowTrailer(true)}
					title={'О Сказбуке'}
					subStatusText={!!ctx.main.model.subscriptionCurrent.subscriptionId ? 'Ваша подписка активна' : ''}
				/>
			}
		</>
	)
}
