import { useIntercom } from '@zebrainy/react-common'
import { CancelationFirstStep, CancelationSecondStep } from '@zebrainy/react-components'
import React from 'react'
import { StateContext } from '../App'

export const Cancelation: React.FC = () =>
{
	const [reason, setReason] = React.useState('')
	const ctx = React.useContext(StateContext)

	const intercom = useIntercom()

	return (
		<>
			{!reason ? <CancelationFirstStep
				onBurgerClick={() => ctx.main.messages.set_sidebar_open()}
				subStatusText={'Ваша подписка активна'}
				selectedReason={reason}
				linkText={'Не отменять'}
				cancelationItems={[
					{
						"id": "I_dont_need_this_app",
						"text": "Пока не уверен, что это нужно"
					},
					{
						"id": "do_not_want_to_pay_so_much",
						"text": "Не хочу столько платить"
					},
					{
						"id": "kid_does_not_like",
						"text": "Ребенку не нравится"
					},
					{
						"id": "i_dont_not_like",
						"text": "Мне не нравится"
					},
					{
						"id": "technical_issue",
						"text": "Технические неполадки"
					},
					{
						"id": "other",
						"text": "Другое"
					}
				]}
				onCancelReasonClick={(i) => setReason(i)}
				onLinkClick={() => { }}
			/>
				:
				<CancelationSecondStep
					onBurgerClick={() => ctx.main.messages.set_sidebar_open()}
					subStatusText={!!ctx.main.model.subscriptionCurrent.subscriptionId ? 'Ваша подписка активна' : ''}
					title={'Нам очень жаль,\n\ что вы уходите'}
					desc={'Чтобы отказаться от подписки:'}
					orderlistItems={[
						'Авторизуйтесь в личном кабинете CloudPayments',
						'Найдите в списке “Сказбука”',
						'Нажмите Отменить подписку'
					]}
					cancelBtnText={'Перейти в настройки'}
					helpLink={'Мне нужна помощь'}
					sadText={'Мы будем скучать без вас'}
					notCancelLink={'Не отменять'}
					onCancelClick={() => ctx.main.messages.cancel_subscription(ctx.main.model.subscriptionCurrent?.subscriptionId || 0)}
					onHelpClick={() => intercom.open()}
					onNotCancelClick={() => ctx.main.messages.set_screen('subscription')}
				/>}
		</>
	)
}
