import { Menu } from '@zebrainy/react-components'
import React from 'react'
import { StateContext } from '../App'
import { ScreenType } from '../state/state'

export const MenuSidebar: React.FC = () =>
{
	const ctx = React.useContext(StateContext)

	const onClickItem = (screen: ScreenType) =>
	{
		ctx.main.messages.set_screen(screen)
		ctx.main.messages.set_sidebar_open()
	}

	return (
		<Menu
			onCloseClick={() => ctx.main.messages.set_sidebar_open()}
			links={
				[
					{ text: 'Моя подписка', onClick: () => onClickItem('subscription') },
					{ text: 'Как активировать Сказбуку?', onClick: () => onClickItem('instruction') },
					{ text: 'О Сказбуке', onClick: () => onClickItem('about') }
				]
			}
			helpText={'Мне нужна помощь'}
			onHelpClick={() => { }}
		/>
	)
}
