import { PopUpWithOrderedList } from '@zebrainy/react-components'
import React from 'react'
import { StateContext } from '../App'

export const PopUpCopy: React.FC<{ onClose: () => void }> = ({ onClose }) =>
{
	const ctx = React.useContext(StateContext)

	const [sended, setSended] = React.useState(false)

	const orderedList = [
		'Установите Сказбуку из App Store',
		'Запустите приложение, пройдите все экраны до выбора подписки.',
		<>Нажмите <b>Восстановить покупки</b></>,
		<>Выберите <b>Наш сайт</b></>,
		<>Введите email: <b>{ctx.main.model.email}</b> и ваш пароль: <b>{ctx.main.model.passcode}</b></>
	]

	return <PopUpWithOrderedList
		isOpened={true}
		closeVisible={true}
		onClose={onClose}
		orderedList={orderedList}
		actionButtonClick={!sended ? () => setSended(true) : onClose }
		titleText={sended ? 'Как начать играть?' : 'Ваш пароль скопирован!'}
		actionButtonText='Продолжить'
		showInstruction={sended}
		instructionText={'Мы уже отправили эту инструкцию на ваш email'}
	/>
}
