import { StartScreenCP } from '@zebrainy/react-components'
import React from 'react'
import { StateContext } from '../App'
import { PopUpCopy } from './PopUpCopy'
import copy from 'copy-to-clipboard'

export const Start: React.FC = () =>
{
	const ctx = React.useContext(StateContext)

	const [copied, setCopied] = React.useState(false)

	const openStorePage = (url: string) =>
	{
		window.open(url, '_blank')
	}

	const copyPasscode = () => {
		copy(ctx.main.model.passcode)
		setCopied(true)
	}

	return (
		<StartScreenCP.MainContext.Provider value={{
			passcodeIsCopied: copied,
			onBurgerClick: () => ctx.main.messages.set_sidebar_open(),
			onCopyClick: () => copyPasscode(),
			onAppleClick: () => openStorePage('https://play.google.com/store/apps/details?id=com.zebrainy.skazbuka&hl=ru&gl=US'),
			onGoogleClick: () => openStorePage('https://apps.apple.com/ru/app/%D1%81%D0%BA%D0%B0%D0%B7%D0%B1%D1%83%D0%BA%D0%B0-%D1%80%D0%B0%D0%B7%D0%B2%D0%B8%D0%B2%D0%B0%D1%8E%D1%89%D0%B8%D0%B5-%D0%B8%D0%B3%D1%80%D1%8B-3-6/id1395112217'),
		}}>
			<StartScreenCP.LocalizationContext.Provider value={{
				subStatusText: !!ctx.main.model.subscriptionCurrent.subscriptionId ? 'Ваша подписка активна' : '',
				title: `Сказбука\nразвивающие игры`,
				emailInfo: 'Ваш email:',
				emailValue: ctx.main.model.email,
				passcodeInfo: 'Ваш пароль:',
				passcodeValue: ctx.main.model.passcode,
				copyButtonText: copied ? "Скопировано" : 'Копировать',
				appleStoreButtonText: 'Скачать в App Store',
				googleStoreButtonText: 'Скачать в Google Play',
			}}>
				<StartScreenCP.AnalyticsContext.Provider value={{}}>
					<StartScreenCP.Screen />
					{copied && <PopUpCopy onClose={() => setCopied(false)} />}
				</StartScreenCP.AnalyticsContext.Provider>
			</StartScreenCP.LocalizationContext.Provider>
		</StartScreenCP.MainContext.Provider >
	)
}
