import { SubscriptionScreen } from '@zebrainy/react-components'
import moment from 'moment'
import React from 'react'
import { StateContext } from '../App'

export const Subscription: React.FC = () =>
{
	const ctx = React.useContext(StateContext)

	return (
		<SubscriptionScreen.MainContext.Provider value={{
			onCancelClick: () => ctx.main.messages.set_screen('cancelation'),
			onBurgerClick: () => ctx.main.messages.set_sidebar_open(),
			showCancelSubscription: !!ctx.main.model.subscriptionCurrent?.subscriptionId,
			isSubCancel: !ctx.main.model.subscriptionCurrent?.subscriptionId
		}}>
			<SubscriptionScreen.LocalizationContext.Provider value={{
				subStatusText: !!ctx.main.model.subscriptionCurrent.subscriptionId ? 'Ваша подписка активна' : '',
				statusText: 'Статус:',
				statusValue: !!ctx.main.model.subscriptionCurrent?.subscriptionId ? 'Активна' : 'Отменена',
				subDurationText: 'Длительность подписки:',
				subDurationValue: moment.duration(moment.duration(ctx.main.model.subscriptionCurrent?.duration).asWeeks(), 'weeks').humanize(),
				accessDurationText: 'Доступ к контенту будет действовать до:',
				accessDurationValue: moment(ctx.main.model.subscriptionCurrent?.endDate).format('DD.MM.YYYY'),
				paySubText: 'Следующий платеж:',
				paySubDuration: moment(ctx.main.model.subscriptionCurrent?.endDate).format('DD MMM YYYY'),
				paySubPrice: `${ctx.main.model.subscriptionCurrent?.price} ${ctx.main.model.subscriptionCurrent?.currency == 643 ? '₽' : ''}`,
				checkBoxListText: [
					'Ребенок получает только безопасный и развивающий контент.  Без рекламы и мусора.',
					'Все существующие игры, обновления, новые уровни и выпуски новых игр всегда доступны,  вам не нужно искать новые.',
					'Игры на подготовку к чтению, математику, логику и другие 42 игры полностью доступны',
				],
				checkBoxListTitle: 'Это того стоит потому, что:',
				cancelLinkText: 'Отменить подписку',
			}}>
				<SubscriptionScreen.AnalyticsContext.Provider value={{}}>
					<SubscriptionScreen.Screen />
				</SubscriptionScreen.AnalyticsContext.Provider>
			</SubscriptionScreen.LocalizationContext.Provider>
		</SubscriptionScreen.MainContext.Provider>
	)
}
