import React from 'react'

export type InputChangeType = {
	value: string
	onChange: (e: React.ChangeEvent<HTMLInputElement>) => void
}

export const useInput = (): InputChangeType =>
{
	const [value, setValue] = React.useState('')
	const handleChange = (e: React.ChangeEvent<HTMLInputElement>) =>
	{
		setValue(e.target.value)
	}
	return { value, onChange: handleChange }
}