import { ErrorBoundary, ErrorFallback } from '@zebrainy/react-components';
import * as React from 'react';
import { App } from './App';
import { GlobalStateProvider, StateMachine } from './state/context';
import './mocks/axios.debug.ts'
import 'moment/dist/locale/ru'
import "./styles.scss";
import { momentInitLocaleUpdater } from '@zebrainy/front-functions';
import ReactDOM from 'react-dom';

export const Initial: React.FC<StateMachine> = ({
	main
}) =>
{
	React.useEffect(() =>
	{
		momentInitLocaleUpdater()
	}, [])

	return (
		<App main={main} />
	)
}

const container = document.getElementById('app');

ReactDOM.render(<GlobalStateProvider />, container);
