import * as React from 'react'
import { Initial } from '..'
import { useTesmEasy } from 'tesm/dist/react'
import { StateMachine, effectHandler, Loading } from './state'
import { СloudPaymentsWebAPI } from '../api'


export type StateMachine = {
	main: {
		model: Loading.StateModel
		messages: Loading.StateMsg
	}
}

export const GlobalStateProvider: React.FC = ({ }) =>
{
	const [model, msgs, reset] = useTesmEasy(StateMachine, effectHandler)

	React.useEffect(() =>
	{
		msgs.request_auth(window.location.search || localStorage.getItem('token') || '')
	}, [])

	return (
		<Initial
			main={{
				model,
				messages: msgs
			}}
		/>
	)
}
