export type SubscriptionCurrentType = {
	"endDate": string
	"paymentMethod": PaymentMethod | PaymentTypes
	"subscriptionKind": SubscriptionKind | SubscriptionKindType
	"duration": string
	"isActive": boolean
	"price": number
	"currency": number
	"subscriptionId": number | null
	"name"?: string | null
	"isTrialPeriod": boolean
	"isIntroPeriod": boolean
	"isAutoRenewStatus"?: boolean
}

type SubscriptionKind = "Free" | "Plus" | "Premium"

export const enum PaymentState
{
	Active = 1,
	Inactive = 2,
}

export const enum PaymentMethod
{
	Unknown = 0,
	Store = 1,
	Stripe = 2,
	Internal = 3,
	Tinkoff = 4,
	CloudPayments = 5,
}
export const enum SubscriptionKindType
{
	Free = 1,
	Plus = 2,
	Premium = 3,
}

export type PaymentTypes =
	'Store' |
	'Stripe' |
	'Unknown' |
	'Internal' |
	'Tinkoff' |
	'CloudPayments'

export type TokenType = {
	'client_id': string
	'sub': number
	'email': string
}