import react from '@vitejs/plugin-react'
const packageJson = require('./package.json')
import { defineConfig } from 'vite'
import checker from 'vite-plugin-checker'
import { viteStaticCopy } from 'vite-plugin-static-copy'

export default defineConfig({
    base: '',
    server: {
        port: 5000,
        host: true

    },
    define: {
        VITE_IS_DEV: process.env.NODE_ENV !== 'production',
        VITE_PACKAGE_VERSION: JSON.stringify(packageJson.version),
        VITE_PACKAGE_NAME: JSON.stringify(packageJson.name),
    },
    build: {
        assetsDir: '',
    },
    plugins: [
        react({ fastRefresh: false }),
        checker({
            typescript: true,
        }),
        viteStaticCopy({
            targets: [
                {
                    src: 'src/images/',
                    dest: '',
                },
            ],
        }),
    ],
})
