import { AuthMiddlewares } from './auth';
import { Request as ExRequest, Response as ExResponse } from 'express'
import { db } from '../db'
import {
    Body,
    Controller,
    Get,
    Middlewares,
    Post,
    Request,
    Route,
} from 'tsoa'

type CreateUserBody = {
    Language: "Rus" | "Eng";
    MarketId: string;
    ChildData: {
        name: string;
        age: number;
    };
    Email: string;
}

@Route('user')
export class UserController extends Controller {
    @Post('create')
    async createUser(@Body() body: CreateUserBody) {
        // const user = api.createUser(body)
        const user = {} as any
        return {
            parentId: user.parentId,
            email: body.Email,
        }
    }

    @Get('passcode')
    @Middlewares(AuthMiddlewares.verifyUserAccessToken)
    async getPasscode(@Request() req: ExRequest) {
        const passcode = await db.users.getPasscode(
            req.__locals.userData.userId
        )
        return passcode
    }

    @Get('{userId}')
    @Middlewares(AuthMiddlewares.verifyUserAccessToken)
    async getUserById(userId: number) {
        // const user = await db.users.getUser(userId)
        // if (!user) {
        //     this.getStatus(404)
        //     return { error: 'User not found' }
        // }
        // return user
    }

}