import dotenv from 'dotenv'
import * as rt from 'runtypes'

function parseEnv() {
    const ProcessEnv = rt.Record({
        PORT: rt.String,
        JWT_SECRET: rt.String,
    })

    let env = ProcessEnv.validate(process.env)
    if (!env.success) {
        console.error('wrong env settings')
        console.error(env.code)
        console.error(env.message)
        console.error(env.details)
        process.exit(1)
    }
    return env.value
}

dotenv.config()

export const env = parseEnv()
